openni::VideoStream::FrameAllocator Class Referenceabstract

`#include <OpenNI.h>`

## Public Member Functions

virtual | ~FrameAllocator ()
virtual void * | allocateFrameBuffer (int size)=0
virtual void | freeFrameBuffer (void *data)=0

## Friends

class | VideoStream

## Constructor & Destructor Documentation

## ~FrameAllocator()

virtual openni::VideoStream::FrameAllocator::~FrameAllocator | ( |  | ) |

inline virtual

## Member Function Documentation

## allocateFrameBuffer()

virtual void * openni::VideoStream::FrameAllocator::allocateFrameBuffer | ( | int | size | ) |

pure virtual

## freeFrameBuffer()

virtual void openni::VideoStream::FrameAllocator::freeFrameBuffer | ( | void * | data | ) |

pure virtual

## Friends And Related Symbol Documentation

## VideoStream

friend class VideoStream

friend

The documentation for this class was generated from the following file:

- OpenNI.h